<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginHorizontal="13.3dp"
    android:layout_marginTop="20dp"
    android:background="@drawable/bg_round_corner_16_7_222222"
    android:orientation="vertical"
    android:paddingHorizontal="20dp"
    android:paddingTop="20dp"
    android:paddingBottom="13.3dp">

    <ImageView
        android:id="@+id/iv_profile"
        android:layout_width="90dp"
        android:layout_height="90dp"
        android:adjustViewBounds="true"
        android:contentDescription="@null"
        android:scaleType="centerCrop"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:src="@drawable/ic_launcher_background" />

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/iv_profile"
        app:layout_constraintTop_toTopOf="@+id/iv_profile">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/tv_nickname"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentStart="true"
                android:layout_centerVertical="true"
                android:layout_toStartOf="@+id/iv_share"
                android:ellipsize="end"
                android:fontFamily="@font/gmarket_sans_bold"
                android:maxLines="1"
                android:textColor="@color/color_eeeeee"
                android:textSize="18sp"
                tools:text="김상담김상담김상담김상담김상담김상담" />

            <ImageView
                android:id="@+id/iv_share"
                android:layout_width="33.3dp"
                android:layout_height="33.3dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginStart="6.7dp"
                android:contentDescription="@null"
                android:src="@drawable/btn_big_share" />
        </RelativeLayout>

        <TextView
            android:id="@+id/tv_follower_list"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="6.7dp"
            android:background="@drawable/bg_round_corner_16_7_transparent_9970ff"
            android:fontFamily="@font/gmarket_sans_bold"
            android:paddingHorizontal="16dp"
            android:paddingVertical="8dp"
            android:text="팔로워 리스트"
            android:textColor="@color/white"
            android:textSize="12sp"
            android:visibility="gone" />

        <LinearLayout
            android:id="@+id/ll_notification"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="6.7dp"
            android:orientation="vertical"
            android:visibility="visible"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:id="@+id/iv_notification"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:contentDescription="@null"
                tools:src="@drawable/btn_notification_selected" />

            <TextView
                android:id="@+id/tv_notification_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:fontFamily="@font/gmarket_sans_light"
                android:textColor="@color/color_bbbbbb"
                android:textSize="10sp"
                tools:ignore="SmallSp"
                tools:text="팔로워 1,000명" />
        </LinearLayout>
    </LinearLayout>

    <TextView
        android:id="@+id/tv_tags"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="13.3dp"
        android:fontFamily="@font/gmarket_sans_medium"
        android:textColor="@color/color_9970ff"
        android:textSize="12sp"
        app:layout_constraintStart_toStartOf="@+id/iv_profile"
        app:layout_constraintTop_toBottomOf="@+id/iv_profile"
        tools:text="#연애 #연애상담 #소개팅" />

    <LinearLayout
        android:id="@+id/ll_sns"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_tags">

        <ImageView
            android:id="@+id/iv_website"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:contentDescription="@null"
            android:src="@drawable/ic_website_circle" />

        <ImageView
            android:id="@+id/iv_blog"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:contentDescription="@null"
            android:src="@drawable/ic_blog_circle" />

        <ImageView
            android:id="@+id/iv_instagram"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:contentDescription="@null"
            android:src="@drawable/ic_instagram_circle" />

        <ImageView
            android:id="@+id/iv_youtube"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:contentDescription="@null"
            android:src="@drawable/ic_youtube_circle" />
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>
